import React, { useEffect } from 'react';
import { useEventsStore } from '../../store/simulation/useEventsStore';
import { useProductStore } from '../../store/simulation/useProductStore';
import Vehicles from './vehicle/vehicles';

function Simulation() {
    const { events } = useEventsStore();
    const { products } = useProductStore();

    useEffect(() => {
        console.log('events: ', events);
    }, [events])

    useEffect(() => {
        console.log('products: ', products);
    }, [products])

    return (
        <>
            <Vehicles />
        </>
    )
}

export default Simulation